using System;
namespace CosnoleApp1
{
    class Project {

    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        string[] unos = Console.ReadLine().Split();
        int[] niz = new int[n];
        for (int i = 0; i < n; i++)
        {
            niz[i] = int.Parse(unos[i]);
        }
        int q = int.Parse(Console.ReadLine());
        unos = Console.ReadLine().Split();
        int pocetak1, kraj1;
        while (q > 0)
        {
            pocetak1 = int.Parse(unos[0]) - 1;
            kraj1 = int.Parse(unos[1]) - 1;
            int p = niz[pocetak1];
            bool provera = true;
            int pom;
            bool izbrisao = false;
            //  Console.WriteLine(niz[pocetak1]);
            for (int i = pocetak1 + 1; i <= kraj1; i++)
            {
                //Console.WriteLine(niz[i]);
                if (niz[i] < p && izbrisao == false)
                {
                    izbrisao = true;
                    if (niz[i - 1] > niz[i + 1])
                    {
                        provera = false;
                    }
                }
                else if (niz[i] > p && izbrisao == true)
                {
                    provera = false;
                    break;
                }
                else
                {
                    p = niz[i];
                    provera = true;
                }
            }
            if (provera) Console.WriteLine("DA");
            else Console.WriteLine("NE");
            q--;
            unos = Console.ReadLine().Split();
        }
    } }
}